  /*********************** dSPACE target specific file *************************

   Header file AnsteuerungAchse_trc_ptr.h:

   Declaration of function that initializes the global TRC pointers

   RTI1104 7.0 (02-May-2013)
   Mon Dec 01 11:11:26 2014

   (c) Copyright 2008, dSPACE GmbH. All rights reserved.

  *****************************************************************************/
  #ifndef RTI_HEADER_AnsteuerungAchse_trc_ptr_h_
  #define RTI_HEADER_AnsteuerungAchse_trc_ptr_h_
  /* Include the model header file. */
  #include "AnsteuerungAchse.h"
  #include "AnsteuerungAchse_private.h"

  #ifdef EXTERN_C
  #undef EXTERN_C
  #endif

  #ifdef __cplusplus
  #define EXTERN_C                       extern "C"
  #else
  #define EXTERN_C                       extern
  #endif

  /*
   *  Declare the global TRC pointers
   */
              EXTERN_C volatile  real_T *p_AnsteuerungAchse_B_real_T_0;
              EXTERN_C volatile  int32_T *p_AnsteuerungAchse_B_int32_T_1;
              EXTERN_C volatile  boolean_T *p_AnsteuerungAchse_B_boolean_T_2;
              EXTERN_C volatile  real_T *p_AnsteuerungAchse_P_real_T_0;
              EXTERN_C volatile  int32_T *p_AnsteuerungAchse_P_int32_T_1;
              EXTERN_C volatile  boolean_T *p_AnsteuerungAchse_P_boolean_T_2;
              EXTERN_C volatile  int32_T *p_AnsteuerungAchse_DW_int32_T_1;

   #define RTI_INIT_TRC_POINTERS() \
              p_AnsteuerungAchse_B_real_T_0 = &AnsteuerungAchse_B.Sollschritte;\
              p_AnsteuerungAchse_B_int32_T_1 = &AnsteuerungAchse_B.IstSchritte;\
              p_AnsteuerungAchse_B_boolean_T_2 = &AnsteuerungAchse_B.SFunction;\
              p_AnsteuerungAchse_P_real_T_0 = &AnsteuerungAchse_P.Konstante_false_Value;\
              p_AnsteuerungAchse_P_int32_T_1 = &AnsteuerungAchse_P.Constant1_Value;\
              p_AnsteuerungAchse_P_boolean_T_2 = &AnsteuerungAchse_P.Konstante_false1_Value;\
              p_AnsteuerungAchse_DW_int32_T_1 = &AnsteuerungAchse_DW.Memory2_PreviousInput;\

   #endif                       /* RTI_HEADER_AnsteuerungAchse_trc_ptr_h_ */
