  /*********************** dSPACE target specific file *************************

   Header file SerielleKommunikation_trc_ptr.h:

   Declaration of function that initializes the global TRC pointers

   RTI1104 7.0 (02-May-2013)
   Mon Dec 08 12:52:19 2014

   (c) Copyright 2008, dSPACE GmbH. All rights reserved.

  *****************************************************************************/
  #ifndef RTI_HEADER_SerielleKommunikation_trc_ptr_h_
  #define RTI_HEADER_SerielleKommunikation_trc_ptr_h_
  /* Include the model header file. */
  #include "SerielleKommunikation.h"
  #include "SerielleKommunikation_private.h"

  #ifdef EXTERN_C
  #undef EXTERN_C
  #endif

  #ifdef __cplusplus
  #define EXTERN_C                       extern "C"
  #else
  #define EXTERN_C                       extern
  #endif

  /*
   *  Declare the global TRC pointers
   */
              EXTERN_C volatile  real_T *p_SerielleKommunikation_B_real_T_0;
              EXTERN_C volatile  int32_T *p_SerielleKommunikation_B_int32_T_1;
              EXTERN_C volatile  uint32_T *p_SerielleKommunikation_B_uint32_T_2;
              EXTERN_C volatile  uint8_T *p_SerielleKommunikation_B_uint8_T_3;
              EXTERN_C volatile  real_T *p_SerielleKommunikation_P_real_T_0;
              EXTERN_C volatile  uint32_T *p_SerielleKommunikation_P_uint32_T_1;

   #define RTI_INIT_TRC_POINTERS() \
              p_SerielleKommunikation_B_real_T_0 = &SerielleKommunikation_B.In1;\
              p_SerielleKommunikation_B_int32_T_1 = &SerielleKommunikation_B.SFunction1_o3;\
              p_SerielleKommunikation_B_uint32_T_2 = &SerielleKommunikation_B.SFunction1_o2;\
              p_SerielleKommunikation_B_uint8_T_3 = &SerielleKommunikation_B.SFunction1_o1[0];\
              p_SerielleKommunikation_P_real_T_0 = &SerielleKommunikation_P.SFunction1_BytesRefNumOf;\
              p_SerielleKommunikation_P_uint32_T_1 = &SerielleKommunikation_P.Constant_Value;\

   #endif                       /* RTI_HEADER_SerielleKommunikation_trc_ptr_h_ */
